restinio::utils::details::int64_parse_traits_t Struct Reference

## Public Types

using | type_t = std::int64_t

## Static Public Member Functions

static constexpr std::size_t | digits_representation_max_size ()
static const char * | min_representation ()
static const char * | max_representation ()
static const char * | type_name ()

## Detailed Description

Definition at line 221 of file from_string_details.ipp.

## Member Typedef Documentation

## type_t

using restinio::utils::details::int64_parse_traits_t::type_t = std::int64_t

Definition at line 223 of file from_string_details.ipp.

## Member Function Documentation

## digits_representation_max_size()

static constexpr std::size_t restinio::utils::details::int64_parse_traits_t::digits_representation_max_size | ( |  | ) |

inlinestaticconstexpr

Definition at line 226 of file from_string_details.ipp.

## max_representation()

static const char * restinio::utils::details::int64_parse_traits_t::max_representation | ( |  | ) |

inlinestatic

Definition at line 239 of file from_string_details.ipp.

## min_representation()

static const char * restinio::utils::details::int64_parse_traits_t::min_representation | ( |  | ) |

inlinestatic

Definition at line 232 of file from_string_details.ipp.

## type_name()

static const char * restinio::utils::details::int64_parse_traits_t::type_name | ( |  | ) |

inlinestatic

Definition at line 245 of file from_string_details.ipp.

The documentation for this struct was generated from the following file:

- restinio/utils/from_string_details.ipp